Bug 50680 - Build options in /www/links/Makefile.local are ignored
Build options in /www/links/Makefile.local are ignored
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Sivachenko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-07 15:50 UTC by rx@rx.cz
Modified: 2003-04-30 23:00 UTC (History)
0 users

See Also:


Attachments
Makefile.diff (434 bytes, patch)
2003-04-07 15:50 UTC, rx@rx.cz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rx@rx.cz 2003-04-07 15:50:15 UTC
To specify local build options, I use Makefile.local instead of command line.
In many other ports this way is effective but it's ignored in www/links port.

Fix: Use <bsd.port.(pre|post).mk> instead of <bsd.port.mk>
How-To-Repeat: reho@noc.decros.cz:/usr/ports/www/links# cat Makefile.local
WITHOUT_X11=true
reho@noc.decros.cz:/usr/ports/www/links# make
Comment 1 corecode 2003-04-07 19:25:06 UTC
Lately Petr Rehor told:

> >Description:
> To specify local build options, I use Makefile.local instead of
> command line.  In many other ports this way is effective but it's
> ignored in www/links port.
> >How-To-Repeat:
> reho@noc.decros.cz:/usr/ports/www/links# cat Makefile.local
> WITHOUT_X11=true
> reho@noc.decros.cz:/usr/ports/www/links# make
> >Fix:
> Use <bsd.port.(pre|post).mk> instead of <bsd.port.mk>

how about putting this into /etc/make.conf

something like:
.if ${.CURDIR} == /usr/ports/www/links
WITHOUT_X11?=	yo
.endif

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 2 Tilman Keskinoz freebsd_committer 2003-04-09 18:36:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->demon

over to maintainer
Comment 3 Dmitry Sivachenko freebsd_committer 2003-04-29 16:38:11 UTC
State Changed
From-To: open->closed

Patch committed, thank you very much!
Comment 4 ceri freebsd_committer 2003-04-30 23:00:10 UTC
Adding to audit trail, from misfiled PR 51499.

Message-Id: <DDAF169EF755BB46B62D2BD2FCEA8A840DF009@dcb01.decros.cz>
Date: Mon, 28 Apr 2003 16:15:32 +0200
From: <Petr.Rehor@i.cz>
To: <FreeBSD-gnats-submit@FreeBSD.org>

  > > Use <bsd.port.(pre|post).mk> instead of <bsd.port.mk>
  >
  > how about putting this into /etc/make.conf
  >
  > something like:
  > .if ${.CURDIR} == /usr/ports/www/links
  > WITHOUT_X11?=	yo
  > .endif
 
  Yes, that is a possible solution, but I think that
  Makefile.local is the best idea.
 
  Cheers
 
  Petr Rehor
  ICZ a.s.
  Pobocka Ceske Budejovice
  J. S. Baara 40, 370 01 Ceske Budejovice, CZ
  Tel: +420 387 312 808
  Fax: +420 387 311 480
  mailto:petr.rehor@i.cz
  http://www.i.cz